%define docname %{name}

Name:           geeqie
Version:        1.3
Release:        %mkrel 1
Summary:        Graphics file browser utility
License:        GPLv2+
Group:          Graphics/Viewers
URL:            http://www.geeqie.org/

# The source was obtained from upstream git repository:
# git clone git clone git://www.geeqie.org/geeqie.git
# pushd geeqie
# git archive --prefix=geeqie-X.Y/ -o ../geeqie-X.Y.tar tag_id
# popd
# xz -z -e geeqie-X.Y.tar
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  intltool
BuildRequires:  lirc-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  glib-gettextize

# I don't use rename here because gqview is at v2.x and geeqie at v1.x
Obsoletes:      gqview
Provides:       gqview

#mga5655 for the rotation scripts to work
Requires:       fbida
Requires:       ImageMagick
Requires:       exiv2

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.

%prep
%setup -q

%build
./autogen.sh

%configure2_5x --with-readmedir="%{_docdir}/%{docname}" \
                --enable-map \
                --enable-lirc
%make

%install
#modified bindir as rotation scripts should be in the path
%makeinstall_std gq_bindir=%{_bindir}

# we make a link to ease the transition from gqview
# maybe in a distant future we'll get rid of it (written in 2012-02-27)
ln -s %{_bindir}/%{name} %{buildroot}/%{_bindir}/gqview

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc TODO
%{_bindir}/%{name}
%{_bindir}/gqview
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%{_mandir}/man1/%{name}*
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*


%changelog
* Sat Jun 04 2016 julien <julien> 1.3-1.mga6
+ Revision: 1020231
- new version 1.3

* Thu Apr 14 2016 julien <julien> 1.2.3-1.mga6
+ Revision: 1001396
- new version 1.2.3

* Thu Feb 11 2016 umeabot <umeabot> 1.2.2-2.mga6
+ Revision: 953991
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 julien <julien> 1.2.2-1.mga6
+ Revision: 885865
- update filelist
- adjust for missing autogen.sh to compile with gtk3
- new version 1.2.2

* Sat Aug 29 2015 julien <julien> 1.2.1-1.mga6
+ Revision: 870860
- new version 1.2.1
- adjust url for new website
- geeqie can compile against gtk3, drop gtk2 dependencie

* Wed Aug 26 2015 sander85 <sander85> 1.1-10.mga6
+ Revision: 869790
- Rebuild for exiv2 0.25

* Wed Oct 15 2014 umeabot <umeabot> 1.1-9.mga5
+ Revision: 739156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 679480
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 spuhler <spuhler> 1.1-7.mga5
+ Revision: 659156
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms

* Sun Feb 23 2014 eatdirt <eatdirt> 1.1-6.mga5
+ Revision: 595950
- Add Requires and move scripts to std path (fix bug mga#5655)

* Mon Feb 10 2014 dams <dams> 1.1-5.mga5
+ Revision: 588975
- rebuild for new exiv2

* Fri Oct 18 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 504741
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 351243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 julien <julien> 1.1-2.mga3
+ Revision: 300018
- clean old comment
- adapt to new rpm group policy

* Sat Sep 01 2012 julien <julien> 1.1-1.mga3
+ Revision: 286960
- new version 1.1
- drop patches not needed anymore (merged upstream or not relevant)

* Mon Jun 18 2012 fwang <fwang> 1.1-0.svn20101203.2.mga3
+ Revision: 261675
- add gentoo patch to fix build

* Mon Feb 27 2012 julien <julien> 1.1-0.svn20101203.2.mga2
+ Revision: 215715
- obsolete gqview
- add a symbolic link to ease transition from gqview
- proper attribution of geeqie directory

* Sun Feb 26 2012 julien <julien> 1.1-0.svn20101203.1.mga2
+ Revision: 215292
- new tarball from dev tree without .svn dir
- compress with xz
- add patches from various source (mostly crash fix)
- clean specfile

  + petos <petos>
    - imported package geeqie

